Bug 803832 - ACPI-Firmware Bug after BIOS-Upgrade on Samsung NP-900X3A
ACPI-Firmware Bug after BIOS-Upgrade on Samsung NP-900X3A
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
first=3.2.9 acpi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 13:57 EDT by Tobias Vogel
Modified: 2013-01-10 03:28 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-13 10:03:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
acpidump output (200.69 KB, text/plain)
2012-03-15 18:40 EDT, Tobias Vogel
no flags Details

  None (edit)
Description Tobias Vogel 2012-03-15 13:57:15 EDT
Description of problem:
Computer doesn't start any more after BIOS-Upgrade to BIOS-Version 07HL on Samsung NP-900X3A Ultrabook.

Version-Release number of selected component (if applicable):
3.2.9-2.fc16.x86_64

How reproducible:
Upgrade BIOS. Boot.
  
Actual results:
Computer doesn't start up unless kernel parameter "acpi=off" is set.

Expected results:
Computer starts with ACPI support.

Additional info (kernel boot parameter):
linux   /vmlinuz-3.2.9-2.fc16.x86_64 root=UUID=3da94559-874b-4ee9-9863-f5d37365338e ro rd.md=0 rd.lvm=0 rd.dm=0 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=de_DE.UTF-8  KEYTABLE=sg-latin1 elevator=deadline i915.i915_enable_rc6=1 i915.i915_enable_fbc=1 i915.lvds_downclock=1


Boot Log:

[    0.306842] Disabled fast string operations
[    0.326928] NMI watchdog enabled, takes one hw-pmu counter.
[    0.327694]  #3
[    0.398764] Disabled fast string operations
[    0.418882] NMI watchdog enabled, takes one hw-pmu counter.
[    0.419082] Brought up 4 CPUs
[    0.419162] Total of 4 processors activated (12769.03 BogoMIPS).
[    0.423899] devtmpfs: initialized
[    0.424134] PM: Registering ACPI NVS region at aaeef000 (720896 bytes)
[    0.425154] atomic64 test passed for x86-64 platform with CX8 and with SSE
[    0.425332] RTC time: 18:35:12, date: 03/15/12
[    0.425448] NET: Registered protocol family 16
[    0.425695] ACPI: bus type pci registered
[    0.425868] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem 0xf8000000-0xfbffffff] (base 0xf8000000)
[    0.425991] PCI: MMCONFIG at [mem 0xf8000000-0xfbffffff) reserved in E820
[    0.440218] PCI: Using configuration type 1 for base access
[    0.441302] bio: create slab <bio-0> at 0
[    0.441450] ACPI: Added _OSI(Module Device)
[    0.441540] ACPI: Added _OSI(Processor Device)
[    0.441621] ACPI: Added _OSI(3.0 _SCP Extensions)
[    0.441703] ACPI: Added _OSI(Processor Aggregator Device)
[    0.445099] ACPI: Executed 1 blocks of module-level executable AML code
[    0.452708] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored
Comment 1 Josh Boyer 2012-03-15 14:31:10 EDT
(In reply to comment #0)
> Description of problem:
> Computer doesn't start any more after BIOS-Upgrade to BIOS-Version 07HL on
> Samsung NP-900X3A Ultrabook.
> 
> Version-Release number of selected component (if applicable):
> 3.2.9-2.fc16.x86_64
> 
> How reproducible:
> Upgrade BIOS. Boot.
> 
> Actual results:
> Computer doesn't start up unless kernel parameter "acpi=off" is set.
> 
> Expected results:
> Computer starts with ACPI support.
> 
> Additional info (kernel boot parameter):
> linux   /vmlinuz-3.2.9-2.fc16.x86_64
> root=UUID=3da94559-874b-4ee9-9863-f5d37365338e ro rd.md=0 rd.lvm=0 rd.dm=0
> quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=de_DE.UTF-8 
> KEYTABLE=sg-latin1 elevator=deadline i915.i915_enable_rc6=1
> i915.i915_enable_fbc=1 i915.lvds_downclock=1
> 
> 
> Boot Log:
> 
> [    0.306842] Disabled fast string operations
> [    0.326928] NMI watchdog enabled, takes one hw-pmu counter.
> [    0.327694]  #3
> [    0.398764] Disabled fast string operations
> [    0.418882] NMI watchdog enabled, takes one hw-pmu counter.
> [    0.419082] Brought up 4 CPUs
> [    0.419162] Total of 4 processors activated (12769.03 BogoMIPS).
> [    0.423899] devtmpfs: initialized
> [    0.424134] PM: Registering ACPI NVS region at aaeef000 (720896 bytes)
> [    0.425154] atomic64 test passed for x86-64 platform with CX8 and with SSE
> [    0.425332] RTC time: 18:35:12, date: 03/15/12
> [    0.425448] NET: Registered protocol family 16
> [    0.425695] ACPI: bus type pci registered
> [    0.425868] PCI: MMCONFIG for domain 0000 [bus 00-3f] at [mem
> 0xf8000000-0xfbffffff] (base 0xf8000000)
> [    0.425991] PCI: MMCONFIG at [mem 0xf8000000-0xfbffffff) reserved in E820
> [    0.440218] PCI: Using configuration type 1 for base access
> [    0.441302] bio: create slab <bio-0> at 0
> [    0.441450] ACPI: Added _OSI(Module Device)
> [    0.441540] ACPI: Added _OSI(Processor Device)
> [    0.441621] ACPI: Added _OSI(3.0 _SCP Extensions)
> [    0.441703] ACPI: Added _OSI(Processor Aggregator Device)
> [    0.445099] ACPI: Executed 1 blocks of module-level executable AML code
> [    0.452708] [Firmware Bug]: ACPI: BIOS _OSI(Linux) query ignored

This is the last line you see when booting without acpi=off?  Normally that _OSI(Linux) query message is meaningless.  I'm not sure why we print it out at all to be honest, but it's normally not a fatal condition.

Can you attach the output of 'acpidump'?
Comment 2 Tobias Vogel 2012-03-15 18:39:49 EDT
Yes, this is the last line. I didn't switch the computer off for about 20min, but this was the very last line to be printed out.

I attached the acpidump output - but that's of course while booted with acpi=off; does that matter?
Comment 3 Tobias Vogel 2012-03-15 18:40:28 EDT
Created attachment 570445 [details]
acpidump output
Comment 4 Dave Jones 2012-03-22 12:37:18 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:42:21 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:50:37 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Tobias Vogel 2012-03-22 17:23:00 EDT
The problem still occurs and the output is also still the same as before.
Comment 8 Tobias Vogel 2012-05-06 09:33:49 EDT
Problem still occurs after upgrading to Fedora 17 Beta, Kernel 3.3.4-4.fc17.x86_64
Comment 9 Tobias Vogel 2012-05-13 19:29:37 EDT
When booting from a Ubuntu 12.04 usb live-image; the problem does not occur.

I compared the acpidump output from the previously attached acpidump (above) with the one acpidump printed out in Ubuntu, and the only difference appears on one of the very last lines;

RSD PTR @ 0xaaffe014 (Ubuntu)
instead of
RSD PTR @ 0xf00e0 (Fedora).

I also noticed that the IASL prints out some warnings on this DSDT table;
might fixing these help solving the problem?
Comment 10 Dave Jones 2012-07-16 14:10:39 EDT
can you boot (don't disable acpi) with initcall_debug as a boot parameter, and note the last line that gets printed.
Comment 11 Dave Jones 2012-10-23 11:24:43 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 12 Justin M. Forbes 2012-11-13 10:03:35 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.